using System;
using System.Web.UI;
using TopWinCMS.BLL;
using TopWinCMS.Common;
public partial class Member_PasswordModify : TopWinCMS.BLL.PageFactory.Pages.ClientPublicPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.Title = Config.SiteName + "→ 会员中心 → 修改密码";
        if (MemberRightsCheck.IsLogined == false)
        {
            MsgBox.Alert("登录超时，请重新登录。", "Login.aspx");
            return;
        }

    }
    protected void BT_OK_Click(object sender, EventArgs e)
    {
        string Err = null;
        new Public_Member(false).PasswordModify(MemberLoginInfo.UserName, TB_OldPSW.Text, TB_PSW1.Text, TB_PSW2.Text, ref Err);

        if (string.IsNullOrEmpty(Err) == false)
        {
            MsgBox.Alert(Err, UpdatePanel1);
        }
        else
        {
            MsgBox.Alert("修改成功", UpdatePanel1);
        }
    }
}